Bug 1575006 - [abrt] dnfdragora: __call__(): __init__.py:187:__call__:RecursionError: maximum recursion depth exceeded while calling a Python object
Summary: [abrt] dnfdragora: __call__(): __init__.py:187:__call__:RecursionError: maxim...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:262ebebddb185f587828b18971b...
: 1643314 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:04 UTC by Stefan Gies
Modified: 2019-05-28 23:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:21:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (674 bytes, text/plain)
2018-05-04 14:04 UTC, Stefan Gies
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-04 14:04 UTC, Stefan Gies
no flags Details
File: cpuinfo (1.37 KB, text/plain)
2018-05-04 14:04 UTC, Stefan Gies
no flags Details
File: environ (3.52 KB, text/plain)
2018-05-04 14:04 UTC, Stefan Gies
no flags Details
File: mountinfo (3.78 KB, text/plain)
2018-05-04 14:05 UTC, Stefan Gies
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-04 14:05 UTC, Stefan Gies
no flags Details
File: open_fds (1.13 KB, text/plain)
2018-05-04 14:05 UTC, Stefan Gies
no flags Details

Description Stefan Gies 2018-05-04 14:04:49 UTC
Version-Release number of selected component:
dnfdragora-1.0.1-10.git20180108.b0e8a66.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: __call__
exception_type: RecursionError
executable:     /usr/bin/dnfdragora
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.5-300.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:187:__call__:RecursionError: maximum recursion depth exceeded while calling a Python object

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 187, in __call__
    return getattr(self.proxy, self.method)(*args)
RecursionError: maximum recursion depth exceeded while calling a Python object

Local variables in innermost frame:
args: (<Gio.DBusProxy object at 0x7f23d473c048 (GDBusProxy at 0x55902516d960)>, ':1.122', 'DownloadProgress', GLib.Variant('(sddi)', ('fpc-3.0.4-2.fc28.x86_64.rpm', 0.82905127300274195, 0.83097825267360914, 3)))
self: <dnfdaemon.client.WeakMethod object at 0x7f23d471c550>

Potential duplicate: bug 1452600

Comment 1 Stefan Gies 2018-05-04 14:04:54 UTC
Created attachment 1431372 [details]
File: backtrace

Comment 2 Stefan Gies 2018-05-04 14:04:56 UTC
Created attachment 1431373 [details]
File: cgroup

Comment 3 Stefan Gies 2018-05-04 14:04:57 UTC
Created attachment 1431374 [details]
File: cpuinfo

Comment 4 Stefan Gies 2018-05-04 14:04:59 UTC
Created attachment 1431375 [details]
File: environ

Comment 5 Stefan Gies 2018-05-04 14:05:00 UTC
Created attachment 1431376 [details]
File: mountinfo

Comment 6 Stefan Gies 2018-05-04 14:05:01 UTC
Created attachment 1431377 [details]
File: namespaces

Comment 7 Stefan Gies 2018-05-04 14:05:03 UTC
Created attachment 1431378 [details]
File: open_fds

Comment 8 Stefan Gies 2018-05-28 11:51:26 UTC
Similar problem has been detected:

Installing software

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: __call__
exception_type: RecursionError
executable:     /usr/bin/dnfdragora
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.11-300.fc28.x86_64
package:        dnfdragora-1.0.1-10.git20180108.b0e8a66.fc28
reason:         __init__.py:187:__call__:RecursionError: maximum recursion depth exceeded while calling a Python object
runlevel:       N 5
type:           Python3
uid:            1000

Comment 9 Thomas Hudziec 2018-10-19 09:02:14 UTC
Similar problem has been detected:

I confirmed installation of VirtualBox and its dependencies. It started to work, and then it crashed.

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: __call__
exception_type: RecursionError
executable:     /usr/bin/dnfdragora
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.18.13-200.fc28.x86_64
package:        dnfdragora-1.0.1-10.git20180108.b0e8a66.fc28
reason:         __init__.py:187:__call__:RecursionError: maximum recursion depth exceeded while calling a Python object
runlevel:       N 5
type:           Python3
uid:            1000

Comment 10 maxa 2018-10-25 23:10:13 UTC
*** Bug 1643314 has been marked as a duplicate of this bug. ***

Comment 11 Ben Cotton 2019-05-02 20:15:05 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-05-28 23:21:31 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.